# $Revision: 1.8 $, $Date: 2007/02/13 08:06:38 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	XUpdate-LibXML
Summary:	XML::XUpdate::LibXML - simple implementation of XUpdate format
Summary(pl.UTF-8):	XML::XUpdate::LibXML - prosta implementacja formatu XUpdate
Name:		perl-XML-XUpdate-LibXML
Version:	0.6.0
Release:	1
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	feee3db4ab0a0520d9b1f17b50f74693
%if %{with tests}
BuildRequires:	perl-XML-LibXML >= 1.54
BuildRequires:	perl-XML-LibXML-Iterator
BuildRequires:	perl-XML-LibXML-XPathContext >= 0.04
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-XML-LibXML >= 1.54
Requires:	perl-XML-LibXML-XPathContext >= 0.04
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements the XUpdate format described in XUpdate Working
Draft from 2000-09-14 (http://www.xmldb.org/xupdate/xupdate-wd.html).
The implementation is based on XML::LibXML DOM API.

%description -l pl.UTF-8
Ten moduł implementuje format XUpdate opisany w XUpdate Working Draft
z 14.09.2000 (http://www.xmldb.org/xupdate/xupdate-wd.html).
Implementacja jest oparta na API DOM z XML::LibXML.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/xupdate
%{perl_vendorlib}/XML/Normalize
%{perl_vendorlib}/XML/XUpdate
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-XUpdate-LibXML.spec,v $
Revision 1.8  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.6  2005/05/31 08:45:48  petec
- up to 0.6.0

Revision 1.5  2004/11/03 22:30:57  paladine
- formatting

Revision 1.4  2004/08/08 20:51:23  adamg
- release 2

Revision 1.3  2004/05/05 06:38:13  ankry
- cosmetics

Revision 1.2  2004/04/15 19:46:36  ankry
- cosmetics, unification

Revision 1.1  2004/01/08 13:45:55  qboosh
- new

